
-- BEGIN -- this part of the file is not intended for an end-user editing
--[[ --------------------------------------------------------------- ]]--

local mainGear = {
	--amortizer_min_length					= 0.0,
	amortizer_max_length					= 0.267 + 0.056,	-- strut + tire
	amortizer_basic_length					= 0.267 + 0.056,	-- strut + tire
	amortizer_spring_force_factor			= 16000000.0, -- force = spring_force_factor * pow(reduce_length, amortizer_spring_force_factor_rate
	amortizer_spring_force_factor_rate		= 4.0,
	amortizer_static_force					= 10000.0,
	amortizer_reduce_length					= 0.3,
	amortizer_direct_damper_force_factor	= 50000.0,
	amortizer_back_damper_force_factor		= 30000.0,
	allowable_hard_contact_length			= 0.215,

	wheel_radius							= 0.3224,
	wheel_static_friction_factor			= 0.70 ,
	wheel_side_friction_factor				= 0.35 ,--0.65
	wheel_roll_friction_factor				= 0.04 ,
	wheel_glide_friction_factor				= 0.30 ,
	wheel_damage_force_factor				= 450.0,
	wheel_brake_moment_max					= 5500.0,
	wheel_kz_factor							= 0.52,
	wheel_damage_speedX						= 115,
	wheel_damage_delta_speedX				= 11.5,
}

local debugLine1 = "{Vx_l}:%4.1f {Vy_w}:%4.1f {Vz_l}:%4.1f {pitch}:%4.1f {roll}:%5.1f {RAlt}:%7.1f {Alt}:%7.1f {BAlt}:%7.1f;"
local debugLine2 = "{mass}:%6.1f {mass_lb}:%7.1f {CG_X_inch}:%5.1f {CgX_Relative}:%5.1f {CenteringX}:%4.0f {CenteringY}:%4.0f {ny}:%4.1f ;"
local debugLine3 = "{FAT}:%5.1f {TailRotPitch}:%6.2f {StickR}:%6.1f {StickP}:%6.1f {Rud}:%6.1f {TailRotF}:%5.0f {FinFz}:%5.0f;"
local debugLine4 = "{FuselageFx}:%5.0f {FuselageFy}:%5.0f {FuselageFz}:%5.0f  {MainRotPitch}:%5.2f {Lstab}:%4.1f;"
local debugLine5 = "{RotorRPM}:%5.1f {PlateR}:%6.2f {PlateP}:%6.2f {N1_L}:%5.1f {N1_R}:%5.1f {N2_L}:%5.1f {N2_R}:%5.1f "
--local debugLine4 = "{FuselageFx}:%5.0f {FuselageFy}:%5.0f {FuselageFz}:%5.0f
-- Main Rotor control
local MainRotorBladePitch0		= 1.0		-- [deg]
local MainCollectivePitch_min	= 0.0		-- [deg]
local MainCollectivePitch_max	= 19.0		-- [deg]--15.0 до 20.09

local SwashPlatePitch0		= 0.0	-- [deg]
local SwashPlateRoll0		= 0.0	-- [deg]

--
AH64D = {

	imgui_permissions =
	{--вернуть в коммент перед сдачей!!!
		--Aerodynamics_dbg = true,--
		--PowerPlant = true,
		--EngineFailures = true,
		--MainRotorDamage = true,
		--CAS = true,
		--SAS = true,
		--SCAS = true,
		--blade_angle_plot = true,
		--ihadds_adjustment = true,
		--WP = true,
		--HF_Interface = true,
		--GearSystem = true,
		--HydroSystem = true,
		--SensorsSystem = true,
		--TADS = true,
		--CG_and_MASS = true,
		--DigitalSlipBall = true,
		--APU = true,
		--APU_ECU = true,
		--SP_NAV = true,
		--MPD_Cursor = true,
		--IPAS = true,
		--TSE = true,
		--drawArgs = true,
		--CockpitDrawArgs = true,
		--FCR_GMT = true,
		--FMC = true,
		--GPS = true,
		--EGI = true,
	},
	--FM_debug_draw = true,

	keyboard_control =
	{
		-- speed of control levers when operating from the keyboard
		-- use formula: speed [1/sec] = full control range / full transfer time
		cyclic_pitch_speed	= 2.0 / 15.0,
		cyclic_roll_speed	= 2.0 / 15.0,
		pedals_speed		= 2.0 / 13.0,
		collective_speed	= 1.0 / 13.0,
	},

	control_kinematics =
	{
		collective =
		{
			table =
			{
				-- format: { relative control, angle position [deg] }
				{ 0.0, MainRotorBladePitch0 + MainCollectivePitch_min},
				{ 1.0, MainRotorBladePitch0 + MainCollectivePitch_max},--на значении 1.0 должно быть не более 19.0гр
			},
		},
		pitch =
		{
			table =
			{
				-- format: { relative control, angle position [deg] }
				{-1.0, 	-20.00	+ SwashPlatePitch0},
				{-0.95, 	-18.7625	+ SwashPlatePitch0},
				{-0.9, 	-17.55	+ SwashPlatePitch0},
				{-0.85, 	-16.3625	+ SwashPlatePitch0},
				{-0.8, 	-15.2	+ SwashPlatePitch0},
				{-0.75, 	-14.0625	+ SwashPlatePitch0},
				{-0.7, 	-12.95	+ SwashPlatePitch0},
				{-0.65, 	-11.8625	+ SwashPlatePitch0},
				{-0.6, 	-10.8	+ SwashPlatePitch0},
				{-0.55, 	-9.7625	+ SwashPlatePitch0},
				{-0.5, 	-8.75	+ SwashPlatePitch0},
				{-0.45, 	-7.7625	+ SwashPlatePitch0},
				{-0.4, 	-6.800	+ SwashPlatePitch0},
				{-0.35, 	-5.8625	+ SwashPlatePitch0},
				{-0.3, 	-4.95	+ SwashPlatePitch0},
				{-0.25, 	-4.0625	+ SwashPlatePitch0},
				{-0.2, 	-3.200	+ SwashPlatePitch0},
				{-0.15, 	-2.3625	+ SwashPlatePitch0},
				{-0.1, 	-1.55	+ SwashPlatePitch0},
				{-0.05, 	-0.7625	+ SwashPlatePitch0},
				{0, 	0.00	+ SwashPlatePitch0},
				{0.05, 	0.7375	+ SwashPlatePitch0},
				{0.1, 	1.45	+ SwashPlatePitch0},
				{0.15, 	2.1375	+ SwashPlatePitch0},
				{0.2, 	2.800	+ SwashPlatePitch0},
				{0.25, 	3.4375	+ SwashPlatePitch0},
				{0.3, 	4.05	+ SwashPlatePitch0},
				{0.35, 	4.6375	+ SwashPlatePitch0},
				{0.4, 	5.2	+ SwashPlatePitch0},
				{0.45, 	5.7375	+ SwashPlatePitch0},
				{0.5, 	6.25	+ SwashPlatePitch0},
				{0.55, 	6.7375	+ SwashPlatePitch0},
				{0.6, 	7.2	+ SwashPlatePitch0},
				{0.65, 	7.6375	+ SwashPlatePitch0},
				{0.7, 	8.05	+ SwashPlatePitch0},
				{0.75, 	8.4375	+ SwashPlatePitch0},
				{0.8, 	8.8	+ SwashPlatePitch0},
				{0.85, 	9.1375	+ SwashPlatePitch0},
				{0.9, 	9.45	+ SwashPlatePitch0},
				{0.95, 	9.7375	+ SwashPlatePitch0},
				{1.0, 	10.00	+ SwashPlatePitch0},



			},
		},
		roll =
		{
			table =
			{
				-- format: { relative control, angle position [deg] }
				{-1.0, 	-10.00	+ SwashPlateRoll0},
				{-0.95, 	-9.50675	+ SwashPlateRoll0},
				{-0.9, 	-9.017	+ SwashPlateRoll0},
				{-0.85, 	-8.53075	+ SwashPlateRoll0},
				{-0.8, 	-8.048	+ SwashPlateRoll0},
				{-0.75, 	-7.56875	+ SwashPlateRoll0},
				{-0.7, 	-7.093	+ SwashPlateRoll0},
				{-0.65, 	-6.62075	+ SwashPlateRoll0},
				{-0.6, 	-6.152	+ SwashPlateRoll0},
				{-0.55, 	-5.68675	+ SwashPlateRoll0},
				{-0.5, 	-5.225	+ SwashPlateRoll0},
				{-0.45, 	-4.76675	+ SwashPlateRoll0},
				{-0.4, 	-4.312	+ SwashPlateRoll0},
				{-0.35, 	-3.86075	+ SwashPlateRoll0},
				{-0.3, 	-3.413	+ SwashPlateRoll0},
				{-0.25, 	-2.96875	+ SwashPlateRoll0},
				{-0.2, 	-2.528	+ SwashPlateRoll0},
				{-0.15, 	-2.09075	+ SwashPlateRoll0},
				{-0.1, 	-1.657	+ SwashPlateRoll0},
				{-0.05, 	-1.22675	+ SwashPlateRoll0},
				{0, 	-0.800	+ SwashPlateRoll0},
				{0.05, 	-0.37675	+ SwashPlateRoll0},
				{0.1, 	0.043	+ SwashPlateRoll0},
				{0.15, 	0.45925	+ SwashPlateRoll0},
				{0.2, 	0.872	+ SwashPlateRoll0},
				{0.25, 	1.28125	+ SwashPlateRoll0},
				{0.3, 	1.687	+ SwashPlateRoll0},
				{0.35, 	2.08925	+ SwashPlateRoll0},
				{0.4, 	2.488	+ SwashPlateRoll0},
				{0.45, 	2.88325	+ SwashPlateRoll0},
				{0.5, 	3.275	+ SwashPlateRoll0},
				{0.55, 	3.66325	+ SwashPlateRoll0},
				{0.6, 	4.048	+ SwashPlateRoll0},
				{0.65, 	4.42925	+ SwashPlateRoll0},
				{0.7, 	4.807	+ SwashPlateRoll0},
				{0.75, 	5.18125	+ SwashPlateRoll0},
				{0.8, 	5.552	+ SwashPlateRoll0},
				{0.85, 	5.91925	+ SwashPlateRoll0},
				{0.9, 	6.283	+ SwashPlateRoll0},
				{0.95, 	6.64325	+ SwashPlateRoll0},
				{1.0, 	7.00	+ SwashPlateRoll0},


			},
		},
		tail_collective_by_pedals =
		{
			range = { -22.0, 9.0 },	--[deg] до 22.07.24 было range = { -27.0, 15.0 }
			table =
			{--18.08.24_New table! zero Pedals correspond with -7.5 deg Tail Pitch
				{-1.0,	-22.000	},
				{-0.95,	-21.323	},
				{-0.9,	-20.640	},
				{-0.85,	-19.953	},
				{-0.8,	-19.260	},
				{-0.75,	-18.563	},
				{-0.7,	-17.860	},
				{-0.65,	-17.153	},
				{-0.6,	-16.440	},
				{-0.55,	-15.723	},
				{-0.5,	-15.000	},
				{-0.45,	-14.273	},
				{-0.4,	-13.540	},
				{-0.35,	-12.803	},
				{-0.3,	-12.060	},
				{-0.25,	-11.313	},
				{-0.2,	-10.560	},
				{-0.15,	-9.803	},
				{-0.1,	-9.040	},
				{-0.05,	-8.273	},
				{0.0,	-7.500	},
				{0.05,	-6.723	},
				{0.1,	-5.940	},
				{0.15,	-5.153	},
				{0.2,	-4.360	},
				{0.25,	-3.563	},
				{0.3,	-2.760	},
				{0.35,	-1.953	},
				{0.4,	-1.140	},
				{0.45,	-0.323	},
				{0.5,	0.500	},
				{0.55,	1.328	},
				{0.6,	2.160	},
				{0.65,	2.998	},
				{0.7,	3.840	},
				{0.75,	4.688	},
				{0.8,	5.540	},
				{0.85,	6.398	},
				{0.9,	7.260	},
				{0.95,	8.128	},
				{1.0,	9.000	},





			},
		},
		tail_collective_by_main_collective =	-- a0
		{
			range = { -11.5, 9.0 },	-- [deg]--было 999.0 до 20.09
			table =
			{
				{0.0,	-0.0},--	3.3878}	-{0.0,	0.3878}
				{0.1,	-0.0},--	2.9027}	-{0.1,	-0.0973}
				{0.2,	-0.0},--	2.1638}	-{0.2,	-0.8362}
				{0.3,	-0.0},--	1.1708}	-{0.3,	-1.8292}
				{0.4,	-0.0},--	-0.0762}	-{0.4,	-3.0762}
				{0.5,	-0.0},--	-1.5771}	-{0.5,	-4.5771}
				{0.6,	-0.0},--	-3.332}	-{0.6,	-6.3320}
				{0.7,	-0.0},--	-5.3409}	-{0.7,	-8.3409}
				{0.8,	-0.0},--	-7.6038}	-{0.8,	-10.6038}
				{0.9,	-0.0},--	-10.1206}	-{0.9,	-13.1206}
				{1.0,	-0.0},--	-12.8914}	-{1.0,	-15.8914}
			},
		},
	},

	thrust_function =
	{
		-- format = { TGT [deg C], THRUST [0..1] }
		{  40.0, 0.00 },--{  40.0, 0.00 },
		{440.0,	0.800}, --{ 400.0, 0.80 },
		{462.0,	0.805}, --{ 515.0, 0.82 },
		{484.0,	0.810}, --{ 630.0, 0.85 },
		{506.0,	0.815}, --{ 745.0, 0.90 },
		{528.0,	0.820}, --{ 867.0, 1.00 },
		{550.0,	0.825},
		{572.0,	0.830},
		{594.0,	0.835},
		{616.0,	0.840},
		{638.0,	0.845},
		{660.0,	0.852},
		{682.0,	0.863},
		{704.0,	0.877},
		{726.0,	0.890},
		{748.0,	0.906},
		{770.0,	0.923},
		{792.0,	0.942},
		{814.0,	0.957},
		{836.0,	0.975},
		{858.0,	0.990},
		{880.0,	1.000},

	},


	MainRotorPos = {  0.30, 2.1,  0.000 },	-- высота относ. ц.модели до 01.09.22={  0.320, 2.214,  0.000 }___{ 0.02, 2.214, 0.0 }, before 21.09.2021
	TailRotorPos = { -8.725, 2.106, -0.721 },	-- высота относ. ц.модели до 01.09.22={ -8.790, 2.106, -0.721 },,{ -9.048, 2.036, -0.721 }, before 21.09.2021
	-- Tail Rotor control
	--до 12.04.21 TailCollectivePitch_min		= -7.0,		-- [deg]-- было"-2", установил как на Ми-24..Ми-8
	--            TailCollectivePitch_max		= 27.0,		-- [deg]--было"12"
	--TailCollectivePitch_min		= -27.0,		-- [deg]-- было"-24.0 до 20.09
	--TailCollectivePitch_max		= 15.0,                 -- было"+9.0 до 20.09

	-- Damping coefficients at zero dynamic pressure
	kDamp_Mx_s1	= 0.0, --02.02.22\\-200.0,---24.09.2021:-8000.0      20000.0
	kDamp_My_s1	= 0.0, --\\-40000.0,---добавил 29.09. 24.09.2021:-60000.0    40000.0
	kDamp_Mz_s1	= -0.0,---24.09.2021:-10000.0, пока более-менее ОК

	kDamp_Mx_s2	= -10000.0, --до 13.09.24=-4000--до 27.02.23=-600--до 02.12.22 Mx_s2	= -800.0--\\-20.0,--до 04.10= -0.0
	kDamp_My_s2	= -20000,--до 13.09.24=-16000 -200.0,--добавил 29.09.--до 04.10.=-100
	kDamp_Mz_s2	= -15000.0, --до 13.09.24=-4000--до 27.02.23=-800--до 02.12.22 Mz_s2	= -0.0--0 до 20.09

	-- Damping coefficients at non-zero dynamic pressure
	kDamp_Mx_d1	= -4.0,---20.0
	kDamp_My_d1	= -85,--\\04.02.22 было -200,--\\-40.0,---40.0,для устойчивости на скорости по рысканию
	kDamp_Mz_d1	= -40.0,---10.0,для устойчивости на скорости по тангажу

	kDamp_Mx_d2	= -6.0,--до 02.12.24=-4.0--\\-0.0,
	kDamp_My_d2	= -20.0,--\\-200,--\\-20.0,
	kDamp_Mz_d2	= -30.0,--до 02.12.24=-20.0

	-- Rotor damping calibration coefficients
	rotorDampCoeff_wx	= 3.15, --до 28.09.24=2.25--до 27.02.23=1.1--до 02.12.22 wx	= 1.8--демпфирующие свойства НВ, до 16.042021 был=1.0
	rotorDampCoeff_wz	= 3.15, --до 28.09.24=2.25--до 27.02.23=1.1--до 02.12.22 wz	= 1.8

	-- Rotor Ground Effect
	rotorGroundEffectIntensity		= 0.130,--0.1
	rotorGroundEffectAttenuation	= 0.20,--0.45
	rotorGroundEffectDensCoeff		= 1.0,

	rotorGyroscopicMomentCoeff		= 1.0,--начальное значение=20.0 При увеличении этого параметра ГМ должен увеличиваться

	-- Rotor roll due to critical flow at the advancing blade
	rotorCritRollIntensity			= 1.0,
	rotorCritRollBladeMach			= 0.7,
	rotorCritRollGrowthRatio		= 12.0,

	-- Rotor induced velocity washout
	rotorInducedVelocityWashout		= 0.0,

	-- main rotor blades animation
	rotorFlapAnimationScaleMin		= -10.0,
	rotorFlapAnimationScaleMax		= 10.0,

	-- Scale of main rotor centrifugal force due to blade damage
	rotorBladeDamageCentrifugalScale	= 0.3,

	-- Main rotor vortex ring parameters
	mainRotorVortexRingWashout		= 13.0,--до 17.05=15.0--12.5
	mainRotorVortexRingK1			= 0.45,--0.35_Vy=-4.5-до 10.05=0.5--до19.04 0.65--0.17
	mainRotorVortexRingK2			= 1.3,--до15.09.24=0.9....до 17.05=1.5--до19.04 0.9--0.8
	mainRotorVortexRingK3			= 3.3,--до 17.05=4.0--до19.04 2.64 --2.64
	mainRotorVortexRingThrustLoss	= 0.5,--до 28.05=0.6--0.6
	mainRotorVortexRingCyclicLoss	= 0.95,--до 17.05=0.85--до 10.05=0.65 --0.3
	mainRotorVortexRingVibration	= 0.45,--до 14.10.24=0.25--до15.09.24=0.17--до 28.05=0.25--0.25
	mainRotorVortexRingParsDispersion=0.185,--добавлено 29.10.24
	
	-- Main rotor hub stiffness coefficient
	mainRotorStiffnessCoefficient	= 0.095,--=0.16--до 05.02.23=0.120--init value from bob=0.25--01.02.23=0.1

	-- Tail rotor vortex ring parameters
	tailRotorVortexRingWashout		= 12.5,-- до 26.09=12.5,
	tailRotorVortexRingK1			= 3.0, -- до 26.09=1.5,
	tailRotorVortexRingK2			= 4.2, -- до 26.09=2.1,
	tailRotorVortexRingK3			= 13.0, -- до 26.09=6.5,
	tailRotorVortexRingThrustLoss	= 0.25, -- 0.45 до 26.09=0.6,
	

	-- Tail rotor thrust filter parameters
	tailRotorThrustFilterT1			= 0.0,--пробное последнее:0.251--исходное значение=0.1,

	-- gearbox and gear train parameters
	totalTransmissionInertiaMoment	= 7909.0362, ---

	zeroize_amortizers_before_collision_check = false,

	center_of_mass		= {0.150, 0.295, 0.0},--after SME flight {0.035 - > {0.151 --должен суммарный CoG=206.6" от носа (5248мм) согласно ADA170594.pdf, с.14 pdf
	--до 22.01.23= {0.181, 0.295, 0.0}  до 17.01.23 = {0.151, 0.378, 0.0} \\до 02.12.22 center_of_mass		= {0.151, 0.0, 0.0}
	moment_of_inertia	= {9290, 51874, 51468, -5937},--Ix,Iy,Iz,Ixy из амер. моделей (slug*ft^2):{6852, 38260, 37961, 4379}
	--перевод амер.данных для СИ (kg*m^2): {9290, 51874, 51468, -5937}
	--до 08.02.2021 =  {5800, 32478, 33030, -5000}
	--до 06.02.2021 ={4170, 28982, 12441, 0.0}
	-- {6170, 28982, 33441, 0.0}до 11.01.2021={2170, 28982, 12441, 0.0}
	--если Ix=3170 и ц.м. по Y =-0,31, то больно верткий, нужно вместе с ц.м. по вертикали настраивать
	--при y=0.0 и Ix=5170 слабовата скорость угловая крена, Iz=20441 - угловая тангажа тоже мала,   снова поставил Ix=3170 __y=0.0
	--поставил Ix=2170 Iz=12441 __y=0.0

	--- SAS gains
	pitchOutK = 1.0,
	rollOutK = 1.0,
	yawOutK = 1.0,

	pitchRateInputK = 0.12,--до 30.11.24=0.3--до 21.01.23=0.9
	rollRateInputK = 0.3,--до 21.01.23=0.75
	yawRateInputK = 0.175,--до 30.11.24=0.5--до 22.01.23= 0.9
	pitchRateDirectFB_Coef = 1.1,--до 21.01.23=0.1
	rollRateDirectFB_Coef = 1.1,--до 21.01.23=
	yawRateDirectFB_Coef = 0.7,--до 22.01.23= 0.5 до 21.01.23= 0.2
	pitchStickK = 0.75,
	rollStickK = 1.0,
	pedalCoeff = 0.5,

	betaGain = 6.0,
	betaDotGain = 1.5,
	betaGainInt = 0.0,
	
	filterPeriod_roll  = 10.0,
	filterPeriod_pitch = 10.0,

	headingHold_K_yaw = 0.42,--до 30.11.24=0.2--до 25.11.23 \\22.03=0.1\\до15.03=0.2,--\\04.04.22 --0.35,--0.15
	headingHold_K_wy = 0.07,--до 30.11.24=0.09--до 25.11.23=0.065\\21.04=0.075--до 22.03=0.05--- 0.2
	headingHold_K_int = 0.5,--до 25.11.23=0.75\\ 22.03=0.75---02.02.22 ->0.05,--0.02
	rollHold_K_roll = 1.2,--до 25.11.23=0.85 \\01.04.=2.0---до15.03=4.0,
	rollHold_K_wx = 0.9,--до 30.11.24=2.5--до 25.11.23=1.5 \\21.04=2.0--до 06.04. 20.00=1.0--до 01.04.=2.0
	rollHold_K_int = 0.2,--до 25.11.23=0.5 \\01.04.=0.5
	pitchHold_K_pitch = 0.35,--до 25.11.23=0.3 \\06.04.=0.21--до 01.04.=0.3--до15.03=0.5,--5.0, после изменений K_damp
	pitchHold_K_wz = 0.3, --до 30.11.24=1.0--до 25.11.23=0.65 \\21.04=1.2--до 06.04.=0.9--до 01.04.=0.05--2.0,
	pitchHold_K_int = 0.5,--до 06.04.=0.75--до 01.04.=1.0

	velHold_K_vx = 2.5,--до 20.04=1.5--до 06.04.=0.7
	velHold_K_vz = 2.5,--до 20.04=1.5--до 06.04.=0.5

	pos_distance = 10.,
	pos_dxMaxVal = 0.1,
	pos_dzMaxVal = 0.1,
	vyDamp = 0.0, --до 03.02.23=0.5, решил "убить"--до 21.55 18.01.23 vyDamp = 0.075 -- 0.075
	altHold = 0.02, --до 21.55 18.01.23 altHold = 0.01-- 0.015
	altHoldVy = 0.12,--до 21.55 18.01.23 altHoldVy = 0.02
	altInt = 0.014, --до 21.55 18.01.23 altInt = 0.04-- 0.11
	attHold_cyclicStickPitch_threshold = 2.5, -- in % of full stick range; basic value is 2.5
	attHold_cyclicStickRoll_threshold = 2.25, -- in % of full stick range; basic value is 2.25

	altHold_pitchRefAdd_max = 0.0, -- 0.5 deg
	altHold_alt_loss = 5, -- in %, default 5 - потеря высоты, при которой достигается altHold_pitchRefAdd_max

	Kwx2 = 170.0,
	Kwy2 = 400.0,
	Kwz2 = 150.0,

	Kwx2_hold = 150.0,
	Kwy2_hold = 6.0,--между 4.5 и 5.0
	Kwz2_hold = 200.0,
	
		-- fake autopilot, test purposes only
	-- in order to use it, define _AH64_STABILIZER_ in trunk\Projects\EagleFM\ExternalFM\AH64D\SConscript
	stab_pitch_active = false,
	stab_roll_active = false,
	stab_yaw_active = false,
	
	stab_pitchGain = 20.01,--
	stab_pitchRateGain = 40.03,--
	stab_pitchIntegGain = 0.0,
	stab_pitchIntegLimit = 4.0,
	
	stab_rollGain = 7,--
	stab_rollRateGain = 15,--
	stab_rollIntegGain = 0.0,
	stab_rollIntegLimit = 4.0,

	stab_yawGain = 20,
	stab_yawRateGain = 60,
	stab_yawIntegGain = 1.0,
	stab_yawIntegLimit = 4.0,
	stab_direction_set = 0, -- in DEG


	suspension =
	{
		{ -- TAIL WHEEL
			damage_element					= 83,
			wheel_axle_offset				= 0.1,
			axle_angle						= math.rad(5.0),
			self_attitude					= false,
			yaw_limit						= math.rad(180.0), --no need
			moment_limit					= 750.0,
			damper_coeff					= 50.0,
			allowable_hard_contact_length	= 0.25,
			filter_yaw						= false,
			AxleFric0s						= 190.0,
			AxleFric0f						= 4.0,
			AxleFricVs						= 0.1,
			AxleFricVf						= 1.0,
			wheel_can_rotate_while_not_spin	= true,
			axle_omega_limited				= true,
			axle_omega_limit				= 2.0,

			amortizer_min_length					= 0.0,
			amortizer_max_length					= 0.246 + 0.030,	-- strut + tire
			amortizer_basic_length					= 0.246 + 0.030,	-- strut + tire
			amortizer_spring_force_factor			= 9000000.0, -- force = spring_force_factor * pow(reduce_length, amortizer_spring_force_factor_rate
			amortizer_spring_force_factor_rate		= 5,
			amortizer_static_force					= 1000.0,
			amortizer_reduce_length					= 0.2,
			amortizer_direct_damper_force_factor	= 40000,
			amortizer_back_damper_force_factor		= 20000,

			wheel_radius					= 0.1614,
			wheel_static_friction_factor	= 0.8,
			wheel_side_friction_factor		= 0.8,
			wheel_roll_friction_factor		= 0.05,
			wheel_glide_friction_factor		= 0.75,
			wheel_damage_force_factor		= 450.0,
			wheel_damage_speedX				= 115,
			wheel_damage_delta_speedX		= 11.5,

			arg_post			= 0,
			arg_amortizer		= 1,
			arg_wheel_rotation	= 101,
			arg_wheel_damage	= 134
		},
		{ -- LEFT WHEEL
			damage_element					= 84,

			amortizer_max_length					= mainGear.amortizer_max_length,
			amortizer_basic_length					= mainGear.amortizer_basic_length,
			amortizer_spring_force_factor			= mainGear.amortizer_spring_force_factor,
			amortizer_spring_force_factor_rate		= mainGear.amortizer_spring_force_factor_rate,
			amortizer_static_force					= mainGear.amortizer_static_force,
			amortizer_reduce_length					= mainGear.amortizer_reduce_length,
			amortizer_direct_damper_force_factor	= mainGear.amortizer_direct_damper_force_factor,
			amortizer_back_damper_force_factor		= mainGear.amortizer_back_damper_force_factor,
			allowable_hard_contact_length			= mainGear.allowable_hard_contact_length,

			wheel_radius							= mainGear.wheel_radius,
			wheel_static_friction_factor			= mainGear.wheel_static_friction_factor,
			wheel_side_friction_factor				= mainGear.wheel_side_friction_factor,
			wheel_roll_friction_factor				= mainGear.wheel_roll_friction_factor,
			wheel_glide_friction_factor				= mainGear.wheel_glide_friction_factor,
			wheel_damage_force_factor				= mainGear.wheel_damage_force_factor,
			wheel_brake_moment_max					= mainGear.wheel_brake_moment_max,
			wheel_kz_factor							= mainGear.wheel_kz_factor,
			wheel_damage_speedX						= mainGear.wheel_damage_speedX,
			wheel_damage_delta_speedX				= mainGear.wheel_damage_delta_speedX,

			arg_post			= 5,
			arg_amortizer		= 6,
			arg_wheel_rotation	= 103,
			arg_wheel_damage	= 136
		},
		{  -- RIGHT WHEEL
			damage_element					= 85,

			amortizer_max_length					= mainGear.amortizer_max_length,
			amortizer_basic_length					= mainGear.amortizer_basic_length,
			amortizer_spring_force_factor			= mainGear.amortizer_spring_force_factor,
			amortizer_spring_force_factor_rate		= mainGear.amortizer_spring_force_factor_rate,
			amortizer_static_force					= mainGear.amortizer_static_force,
			amortizer_reduce_length					= mainGear.amortizer_reduce_length,
			amortizer_direct_damper_force_factor	= mainGear.amortizer_direct_damper_force_factor,
			amortizer_back_damper_force_factor		= mainGear.amortizer_back_damper_force_factor,
			allowable_hard_contact_length			= mainGear.allowable_hard_contact_length,

			wheel_radius							= mainGear.wheel_radius,
			wheel_static_friction_factor			= mainGear.wheel_static_friction_factor,
			wheel_side_friction_factor				= mainGear.wheel_side_friction_factor,
			wheel_roll_friction_factor				= mainGear.wheel_roll_friction_factor,
			wheel_glide_friction_factor				= mainGear.wheel_glide_friction_factor,
			wheel_damage_force_factor				= mainGear.wheel_damage_force_factor,
			wheel_brake_moment_max					= mainGear.wheel_brake_moment_max,
			wheel_kz_factor							= mainGear.wheel_kz_factor,
			wheel_damage_speedX						= mainGear.wheel_damage_speedX,
			wheel_damage_delta_speedX				= mainGear.wheel_damage_delta_speedX,

			arg_post			= 3,
			arg_amortizer		= 4,
			arg_wheel_rotation	= 102,
			arg_wheel_damage	= 135
		},
	}, -- suspension/gears

	disable_built_in_oxygen_system	= true,

	--
	balancing =
	{--for FM-version at rev.217285!!
	--{speed, roll_rel, pitch_rel, pedals_rel, collective_rel}
	-- {[speed_min_mps, speed_max_mps], [-1.0; 1,0], [-1.0; 1,0], [-1.0; 1,0], [collective_min_deg; collective_max_deg]}

		{0.0,	-0.024,	0.054,	-0.241,	11.90}, --0.0 knots GW=17.800 lbs (speed [0.0-66.3], OAT=+20C, Alt=500m
		{6.64,	0.053,	0.011,	-0.189,	11.10},	--12.9 knots
		{8.795,	0.074,	0.008,	-0.175,	10.90},	--17.1 knots
		{13.5,	0.064,	0.000,	-0.083,	10.50},	--26.2 knots
		{22.4,	0.052,	-0.044,	0.022,	9.94},	--43.5 knots
		{29.5,	0.036,	-0.100,	0.064,	9.60},	--57.3 knots
		{31.3,	0.027,	-0.119,	0.097,	9.70},	--60.8 knots
		{38.3,	0.012,	-0.186,	0.089,	10.00},	--74.4 knots
		{47.5,	0.000,	-0.289,	0.064,	10.90},	--92.3 knots
		{54.25,	0.000,	-0.387,	0.030,	12.10},	--105.5 knots
		{56.85,	-0.010,	-0.432,	0.014,	12.60},	--110.5 knots
		{61.5,	-0.008,	-0.506,	-0.047,	13.85},	--119.5 knots
		{66.3,	-0.008,	-0.565,	-0.131,	15.30},	--128.9 knots
		{68.8,	0.016,	-0.619,	-0.240,	16.10},	--133.7 knots GW=16.545 lbs
		{70.8,	-0.022,	-0.657,	-0.075,	17.80},	--137.6 knots GW=16.545 lbs
	},
	--[[ ------------------------------------------------------------- ]]--
	-- END -- this part of the file is not intended for an end-user editing

	-- FFB force multiplier
	ffbPitchK	= 0.65,
	ffbRollK	= 0.65,

	-- view shake amplitude
	minor_shake_ampl = 0.07,
	major_shake_ampl = 0.25,
	-- debug
	recordStep = 0.1,		-- it whould be better if recordStep = 0.006 * N
	debugLine = debugLine1..debugLine2..debugLine3..debugLine4..debugLine5,
} -- end of AH64D
